var game;
if(typeof(localStorage["best"])=="undefined" || localStorage["best"].trim()==""){
	localStorage["best"] = 0;
}
document.addEventListener("deviceready", onDeviceReady, false);

function onDeviceReady() {
	game.init();
	loadBest();
};

function loadBest(){
	$(".best").html("<div class='blue'>High Score: </div><div class='red'>" + localStorage["best"] + "</div>");
}
				
game = {
  points: 0,
  left: "blue",
  right: "blue",
  speed: 4000,
  game_interval: "",
  init: function() {
    return this.bind_events();
  },
  bind_events: function() {
    $(document).on("click", ".logo", function(e) {
      e.preventDefault();
      game.switch_stage("play");
      return game.start();
    });
    return $(document).on("click", ".btn", function(e) {
      e.preventDefault();
      return $(this).toggleClass("red");
    });
  },
  switch_stage: function(stage) {
    if (stage === "gameover") {
      clearInterval(this.game_interval);
      $(".dots").remove();
      localStorage["score"] = $(".stage-gameover .points").text();
      localStorage["score"] = parseInt(localStorage["score"]);
      if (parseInt(localStorage["score"]) > parseInt(localStorage["best"])){
      	localStorage["best"] = localStorage["score"];
      }
      loadBest();
      admob.requestInterstitialAd();
    }
    $("[class*='stage-']").hide();
    return $(".stage-" + stage).show();
  },
  start: function() {
    this.points = 0;
    this.left = "blue";
    this.right = "blue";
    $(".points").html("0");
    $(".btn").removeClass("red");
    return this.game_interval = setInterval(function() {
      return game.generate_dots();
    }, 1500);
  },
  generate_dots: function() {
    var colors, dot1, dot2, dots;
    dots = $("<div class='dots'></div>");
    colors = ["red", "blue"];
    dot1 = $("<div class='dot " + colors[Math.floor(Math.random() * colors.length)] + "'></div>");
    dot2 = $("<div class='dot " + colors[Math.floor(Math.random() * colors.length)] + "'></div>");
    dots.append(dot1);
    dots.append(dot2);
    $(".stage-play").append(dots);
    return dots.animate({
      top: "80%"
    }, this.speed, "linear", function() {
      game.add_points();
      if ($(".btn.left").hasClass("red")) {
        if ($(".dot:first-of-type", this).hasClass("blue")) {
          game.switch_stage("gameover");
        }
      } else {
        if ($(".dot:first-of-type", this).hasClass("red")) {
          game.switch_stage("gameover");
        }
      }
      if ($(".btn.right").hasClass("red")) {
        if ($(".dot:last-of-type", this).hasClass("blue")) {
          game.switch_stage("gameover");
        }
      } else {
        if ($(".dot:last-of-type", this).hasClass("red")) {
          game.switch_stage("gameover");
        }
      }
      return $(this).remove();
    });
  },
  add_points: function() {
    this.points += 2;
    return $(".points").html(this.points);
  }
};
